unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  NazwaPliku :String;
  NazwaKopii :String;
begin
NazwaPliku:='Czcionki.txt';
NazwaKopii:='Czcionki.bak';
if CopyFile(NazwaPliku,NazwaKopii,True)
  then ShowMessage('Plik został skopiowany')
  else ShowMessage('Kopiowanie pliku nie udało się');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
DeleteFile('Czcionki.bak');
end;

procedure TForm1.Button3Click(Sender: TObject);
var plik :TextFile;
begin
AssignFile(plik,'Czcionki.bak');
Erase(plik);
end;

procedure TForm1.Button4Click(Sender: TObject);
var NazwaBiezacegoKatalogu :String;
begin
NazwaBiezacegoKatalogu:=GetCurrentDir;
ShowMessage(NazwaBiezacegoKatalogu);
ChDir('..');
MkDir('Tu byłem');
RmDir('Tu byłem');
ChDir(NazwaBiezacegoKatalogu);
end;

end.
